package com.yonge.nettty.dto;

import com.ym.mec.common.enums.BaseEnum;

public enum HardLevelEnum implements BaseEnum<String, HardLevelEnum> {
	BEGINNER("入门级", 5, 5, 50, 60, 10), ADVANCED("进阶级", 5, 5, 50, 60, 10), PERFORMER("大师级", 5, 5, 50, 60, 10);

	private String msg;

	private int amplitudeThreshold;

	private int frequencyOffset;

	private int tempoOffsetOfPercent;

	private int integrityRange;

	private int notPlayRange;

	/**
	 * 
	 * @param msg
	 * @param amplitudeThreshold 振幅阈值
	 * @param frequencyOffset 频率法制
	 * @param tempoOffsetOfPercent 节奏偏移量百分比（在当前范围内节奏才算正确）
	 * @param integrityRange 完成度范围
	 * @param notPlayRange 未演奏的范围
	 */
	HardLevelEnum(String msg, int amplitudeThreshold, int frequencyOffset, int tempoOffsetOfPercent, int integrityRange, int notPlayRange) {
		this.msg = msg;
		this.amplitudeThreshold = amplitudeThreshold;
		this.frequencyOffset = frequencyOffset;
		this.tempoOffsetOfPercent = tempoOffsetOfPercent;
		this.integrityRange = integrityRange;
		this.notPlayRange = notPlayRange;
	}

	public String getMsg() {
		return msg;
	}

	public int getAmplitudeThreshold() {
		return amplitudeThreshold;
	}

	public int getFrequencyOffset() {
		return frequencyOffset;
	}

	public int getTempoOffsetOfPercent() {
		return tempoOffsetOfPercent;
	}

	public int getIntegrityRange() {
		return integrityRange;
	}

	public int getNotPlayRange() {
		return notPlayRange;
	}

	@Override
	public String getCode() {
		return this.name();
	}

}
